<?php

namespace Drupal\monarch_symlink\Entity;

use Symfony\Component\Routing\Route;
use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\AdminHtmlRouteProvider;

/**
 * Provides routes for nodes.
 */
class SymlinkRouteProvider extends AdminHtmlRouteProvider {

  /**
   * {@inheritdoc}
   */
  public function getRoutes(EntityTypeInterface $entity_type) {
    $route_collection = parent::getRoutes($entity_type);

    // Custom canonical controller.
    $route = $route_collection->get('entity.symlink.canonical');
    $defaults = [
      '_controller' => '\Drupal\monarch_symlink\Controller\SymlinkController::view',
      '_title_callback' => '\Drupal\monarch_symlink\Controller\SymlinkController::title',
    ];
    $route->setDefaults($defaults);

    $route_collection->add('entity.symlink.canonical', $route);

    return $route_collection;
  }

}
